Zum Hauptinhalt springen
POST
/
communication-preferences
/
v3
/
subscribe
Einen Kontakt für ein Abonnement anmelden
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v3/subscribe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAddress": "<string>",
  "subscriptionId": "<string>",
  "legalBasisExplanation": "<string>"
}
'
{
  "description": "<string>",
  "id": "<string>",
  "name": "<string>",
  "brandId": 123,
  "legalBasisExplanation": "<string>",
  "preferenceGroupName": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
emailAddress
string
erforderlich

Die E-Mail-Adresse des Kontakts.

subscriptionId
string
erforderlich

ID des aktualisierten Abonnements des Kontakts.

Rechtliche Grundlage für die Verarbeitung von Kontaktdaten zum Aktualisieren des Status des Kontakts (erforderlich für DSGVO-konforme Portale).

Verfügbare Optionen:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

Eine ausführlichere Erläuterung zur rechtlichen Grundlage für die Verarbeitung von Kontaktdaten (erforderlich für DSGVO-konforme Portale).

Antwort

successful operation

description
string
erforderlich

Eine Beschreibung des Abonnements.

id
string
erforderlich

Die ID des Abonnements.

name
string
erforderlich

Der Name des Abonnements.

sourceOfStatus
enum<string>
erforderlich

Wo der Status z. B. aus PORTAL_WIDE_STATUS ermittelt wird, wenn der Kontakt sich aus dem Portal abgemeldet hat.

Verfügbare Optionen:
BRAND_WIDE_STATUS,
PORTAL_WIDE_STATUS,
SUBSCRIPTION_STATUS
status
enum<string>
erforderlich

Ob der Kontakt angemeldet ist.

Verfügbare Optionen:
NOT_SUBSCRIBED,
SUBSCRIBED
brandId
integer<int64>

Die ID der Marke, der das Abonnement zugeordnet ist, sofern vorhanden.

Die rechtliche Grundlage für den aktuellen Status des Abonnements.

Verfügbare Optionen:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

Eine ausführlichere Erläuterung zur rechtlichen Grundlage für die Verarbeitung von Kontaktdaten.

preferenceGroupName
string

Der Name der Einstellungsgruppe, der das Abonnement zugeordnet ist.

Last modified on April 13, 2026